TimelineEvents.EventsOfOneEntity (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records.timeline, class: TimelineEvents, class: EventsOfOneEntity

Package org.apache.hadoop.yarn.api.records.timeline

# Class TimelineEvents.EventsOfOneEntity

java.lang.Object
org.apache.hadoop.yarn.api.records.timeline.TimelineEvents.EventsOfOneEntity

Enclosing class:
  TimelineEvents

@Public @Evolving public static class TimelineEvents.EventsOfOneEntity extends Object
The class that hosts a list of events that are only related to one entity.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventsOfOneEntity()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addEvent(TimelineEvent event)`
  Add a single event to the existing event list
  `void`
  `addEvents(List<TimelineEvent> events)`
  Add a list of event to the existing event list
  `String`
  `getEntityId()`
  Get the entity Id
  `String`
  `getEntityType()`
  Get the entity type
  `List<TimelineEvent>`
  `getEvents()`
  Get a list of events
  `void`
  `setEntityId(String entityId)`
  Set the entity Id
  `void`
  `setEntityType(String entityType)`
  Set the entity type
  `void`
  `setEvents(List<TimelineEvent> events)`
  Set the event list to the given list of events

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EventsOfOneEntity

    public EventsOfOneEntity()

- ## Method Details

  - ### getEntityId

    public String getEntityId()
    Get the entity Id
    Returns:
      the entity Id

  - ### setEntityId

    public void setEntityId(String entityId)
    Set the entity Id
    Parameters:
      `entityId` - the entity Id

  - ### getEntityType

    public String getEntityType()
    Get the entity type
    Returns:
      the entity type

  - ### setEntityType

    public void setEntityType(String entityType)
    Set the entity type
    Parameters:
      `entityType` - the entity type

  - ### getEvents

    public List<TimelineEvent> getEvents()
    Get a list of events
    Returns:
      a list of events

  - ### addEvent

    public void addEvent(TimelineEvent event)
    Add a single event to the existing event list
    Parameters:
      `event` - a single event

  - ### addEvents

    public void addEvents(List<TimelineEvent> events)
    Add a list of event to the existing event list
    Parameters:
      `events` - a list of events

  - ### setEvents

    public void setEvents(List<TimelineEvent> events)
    Set the event list to the given list of events
    Parameters:
      `events` - a list of events